package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.entity.RuleDateUnitKuaishou;
import cn.com.ctop.common.module.mapper.RuleDateUnitKuaishouMapper;
import cn.com.ctop.common.module.service.IRuleDataUnitKuaishouService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 组维度数据清洗
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-12-04
 */
@Service
public class RuleDataUnitKuaishouServiceImpl extends ServiceImpl<RuleDateUnitKuaishouMapper, RuleDateUnitKuaishou> implements IRuleDataUnitKuaishouService {

    @Autowired
    private RuleDateUnitKuaishouMapper ruleDateUnitKuaishouMapper;

    @Override
    public void replaceBatch(List<RuleDateUnitKuaishou> batch) {
        ruleDateUnitKuaishouMapper.replaceBatch(batch);
    }
}
