package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.common.module.service.IRefreshTokenService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaiShouRefreshLiveTokenJob {
    @Autowired
    private IRefreshTokenService refreshTokenService;

    /**
     * 刷新快手直播token(ruixuan)
     *
     * @throws JobExecutionException
     */
    @XxlJob("kuaiShouLiveRefreshTokenJob")
    public void execute() throws Exception {
        refreshTokenService.getLiveKuaiShouAgentRefresh();
    }

}

