package cn.com.ctop.kuaishou.modules.clean.entity;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class KuaiShouAccountCleanTemplateInfo {
    //id
    private String id;
    //模板名称
    private String templateName;

    //应用媒体
    private String appliedMedia;
    //清理时间范围  1   3   7  15
    private String cleanTime;
    //优化目标
    // activation:激活数 bclick:行为数  formSize :表单数 pay:付费  roi:首日roi
    // evocativeApplication:唤起应用  effectiveClues:有效线索 creditApp:授信-APP creditGrant:授信-落地页
    // finishedPieceApp:完件数-APP  finishedPieceGrant:完件数-落地页   ordersSubmitted:订单提交 registered:注册
    private String optimizationObjective;

    //累计消耗
    private BigDecimal charge;

    //累计转化数
    private String conversion;

    //推广组状态 1 - 投放中；2 - 已暂停；3 - 不限
    private String promotionGroupStatus;

    //执行操作    1-投放、2-暂停、3-删除
    private String performOperations;

    //模板状态 0-运行  1-暂停
    private String status;

    //创建人
    private String createUser;

    //创建人id
    private String createId;

    //创建时间
    private String createTime;

    //账户id
    private String accountId;

    //运营名称
    private String userName;

    //账户状态 0 启动 1 禁用
    private String accountStatus;

    //账户名称
    private String accountName;
}
