package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouAudienceReportDaily;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 人群分析报表
 *
 * @author: jeecg-boot
 * @date: 2020-12-03
 * @cersion: V1.0
 */
public interface KuaishouAudienceReportDailyMapper extends BaseMapper<KuaishouAudienceReportDaily> {
    void aggregationData(@Param(value = "projectId") Long projectId,
                         @Param(value = "date") String date,
                         @Param(value = "originTable") String originTable,
                         @Param(value = "originTableKey")String originTableKey,
                         @Param(value = "aggregationTable")String aggregationTable,
                         @Param(value = "aggregationTableKey")String aggregationTableKey,
                         @Param(value = "startIndex")int startIndex);

    Integer countTotal(@Param(value = "date")String date,
                   @Param(value = "projectId")Long projectId,
                   @Param(value = "originTable")String getOriginTable,
                   @Param(value = "originTableKey")String getOriginTableKey);
}
