package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouSupplyChain;
import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouSupplyChainSettlement;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手电商-供应链订单信息
 */
public interface RocketSupplyChainMapper extends BaseMapper<KuaishouSupplyChain> {

    void replace(@Param(value = "adds") List<KuaishouSupplyChain> supplyChains);

    List<JSONObject> getCookie();

    void replaceSettlement(@Param(value = "adds") List<KuaishouSupplyChainSettlement> supplyChains);

    List<JSONObject> getDataList(@Param("statDate") Long statDate);

    List<JSONObject> getPromoterDataList(@Param("statDate") Long statDate);

    void deletePromoterBindChannelByDate(@Param("date") Long date);

    void cleanKuaiShouPromoterBindChannel(@Param("date") Long date);

    List<JSONObject> getSamplesData(@Param("startDate") String startDate);

    void cleanBytedancePromoterBindChannel(@Param("date") Long date);

    void replaceRuixuanSupplyChains(@Param(value = "adds") List<KuaishouSupplyChain> ruixuanSupplyChains);

    void replaceMgsSupplyChains(@Param(value = "adds") List<KuaishouSupplyChain> mgsSupplyChains);

    void replaceRocketSupplyChains(@Param(value = "adds") List<KuaishouSupplyChain> rocketSupplyChains);
}
