package cn.com.ctop.toutiao.modules.material.service;

import cn.com.ctop.toutiao.modules.material.entity.BytedanceVideoSlogenInfo;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 头条视频文案信息
 * @author jeecg-boot
 * 2021-04-19
 * @version V1.0
 */
public interface IBytedanceVideoSlogenInfoService extends IService<BytedanceVideoSlogenInfo> {

    void insertSlogans(Long projectId, String videoCode, JSONArray slogans, String userId);

    List<BytedanceVideoSlogenInfo> listByParams(String code, Integer status);

    void deleteAllSlogens(Long projectId, String videoCode, String userId);
}
